curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"skill_cluster_name": "Audit",
"last_updated": "2021-01-21T17:32:28Z",
"skill_cluster_description": "The ability and Skill to conduct audits, identifying exceptions and developing specific solutions or recommendations",
"skill_cluster_type": "taxonomy",
"custom_properties": [
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Skill Cluster
Get the Skill Cluster information stored inside the system.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties ["custom_properties"]
Response
OK
Default structure for Skill Cluster data.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Skill Cluster. Must be unique in the system.
1 - 255"Audit"
Timestamp of the last update to this entity.
"2021-01-21T17:32:28Z"
Textual description of the Skill Cluster.
1"The ability and Skill to conduct audits, identifying exceptions and developing specific solutions or recommendations"
The type of the Skill Cluster
inferred, taxonomy "taxonomy"
A list of properties for a given entity. Property values are either strings or numbers.
Show child attributes
Show child attributes
[ { "property_name": "creation_date", "property_value": "2020-03-07" }, { "property_name": "language", "property_value": "de" } ]
Was this page helpful?